Bug 34811 - disable uidNumber locking if uidNumber is not needed
disable uidNumber locking if uidNumber is not needed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UNSTABLE
Other Linux
: P5 normal (vote)
: UCS 3.2-4-errata
Assigned To: Dirk Wiesenthal
Florian Best
:
Depends on:
Blocks: 37607
  Show dependency treegraph
 
Reported: 2014-05-12 15:19 CEST by Felix Botner
Modified: 2015-02-09 12:32 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
user.py patch (1.23 KB, patch)
2014-05-12 15:31 CEST, Felix Botner
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-05-12 15:19:14 CEST
If an simple authentication account is created UDM also creates/removes an temporary uidNumber lock object, although the uidNumber is not used for that object. 

Created 1000 Simple authentication account on UCS 3.2
 * 350s with uidNumber locking
 * 44s without uidNumber locking

Disable uidNumber locking if "posix" or "samba" is not used for the account.
Comment 1 Felix Botner univentionstaff 2014-05-12 15:31:51 CEST
Created attachment 5909 [details]
user.py patch
Comment 2 Dirk Wiesenthal univentionstaff 2015-01-22 13:31:24 CET
Fixed in
  univention-directory-manager-modules 9.0.76-37.1281.201501221327

Port to 4.0-0: Possible, desired.
Comment 3 Florian Best univentionstaff 2015-01-23 15:01:09 CET
Well, creating 1000 users with only option=ldap_pwd using UDM-CLI takes 10 minutes. Don't know how you created the users @Felix.

But the change works.
YAML: OK [fixed typo]
Comment 4 Moritz Muehlenhoff univentionstaff 2015-02-09 12:32:20 CET
http://errata.univention.de/ucs/3.2/280.html